## r-bioc-iranges 1.20.4

=== DESCRIPTION ===
Package: IRanges
Title: Infrastructure for manipulating intervals on sequences
Description: The package provides efficient low-level and highly reusable S4
	classes for storing ranges of integers, RLE vectors (Run-Length
	Encoding), and, more generally, data that can be organized
	sequentially (formally defined as Vector objects), as well as views
	on these Vector objects.
	Efficient list-like classes are also provided for storing big
	collections of instances of the basic classes. All classes in
	the package use consistent naming and share the same rich and
	consistent "Vector API" as much as possible.
Version: 1.20.4
Author: H. Pages, P. Aboyoun and M. Lawrence
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 2.8.0), methods, utils, stats, BiocGenerics (>= 0.7.7)
Imports: methods, utils, stats, BiocGenerics, stats4
Suggests: XVector, GenomicRanges, BSgenome.Celegans.UCSC.ce2, RUnit
License: Artistic-2.0
ExtraLicenses: The following files in the 'src' directory are licensed
        for all use by Jim Kent, in a manner compatible with the
        Artistic 2.0 license: common.c/h, memalloc.c/h, localmem.c/h,
        hash.c/h, errabort.c/h, rbTree.c/h, dlist.c/h, errCatch.h
Collate: S4-utils.R utils.R isConstant.R normarg-utils.R
        subsetting-utils.R int-utils.R str-utils.R compact_bitvector.R
        endoapply.R runstat.R Annotated-class.R Vector-class.R
        Vector-comparison.R List-class.R AtomicList-class.R
        Ranges-class.R Ranges-comparison.R IRanges-class.R
        IRanges-constructor.R IRanges-utils.R DataTable-API.R
        DataTable-stats.R Views-class.R Grouping-class.R
        SimpleList-class.R CompressedList-class.R Rle-class.R
        RleViews-class.R RleViews-utils.R AtomicList-impl.R
        DataFrame-class.R DataFrame-utils.R DataFrameList-class.R
        DataFrameList-utils.R RangesList-class.R GappedRanges-class.R
        ViewsList-class.R RleViewsList-class.R RleViewsList-utils.R
        MaskCollection-class.R RangedData-class.R FilterRules-class.R
        RDApplyParams-class.R RangedData-utils.R Hits-class.R
        HitsList-class.R RangesMapping-class.R IntervalTree-class.R
        IntervalTree-utils.R IntervalForest-class.R
        OverlapEncodings-class.R RangedSelection-class.R read.Mask.R
        funprog-methods.R intra-range-methods.R inter-range-methods.R
        setops-methods.R findOverlaps-methods.R nearest-methods.R
        encodeOverlaps-methods.R reverse-methods.R coverage-methods.R
        slice-methods.R expand-methods.R updateObject-methods.R
        classNameForDisplay-methods.R test_IRanges_package.R debug.R
        zzz.R
Packaged: 2013-10-30 03:23:30 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (1.20.4-1) unstable; urgency=low

  * New upstream version
  * debian/{control/copyright}: Fixed homepage
  * debian/control: Versioned (Build-)Depends

 -- Andreas Tille <tille@debian.org>  Fri, 18 Oct 2013 11:08:01 +0200

r-bioc-iranges (1.18.3-1) unstable; urgency=low

  * Initial release (closes: #720537)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 09:23:02 +0200

=== debian/control ===
Source: r-bioc-iranges
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.7.7)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/IRanges.html

Package: r-bioc-iranges
Architecture: any
Depends: ${R:Depends},
          ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.7.7)
Description: GNU R low-level containers for storing sets of integer ranges
 The IRanges class and its extensions are low-level containers for
 storing sets of integer ranges. A typical use of these containers in
 biology is for representing a set of chromosome regions. More specific
 extensions of the IRanges class will typically allow the storage of
 additional information attached to each chromosome region as well as a
 hierarchical relationship between these regions.

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/IRanges.html .*/IRanges_([\d\.]+)\.tar\.gz

## r-bioc-iranges 1.22.8

=== DESCRIPTION ===
--- 
+++ 
@@ -9,12 +9,11 @@
 	collections of instances of the basic classes. All classes in
 	the package use consistent naming and share the same rich and
 	consistent "Vector API" as much as possible.
-Version: 1.20.4
+Version: 1.22.8
 Author: H. Pages, P. Aboyoun and M. Lawrence
-Maintainer: Bioconductor Package Maintainer
-        <maintainer@bioconductor.org>
+Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
-Depends: R (>= 2.8.0), methods, utils, stats, BiocGenerics (>= 0.7.7)
+Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.9.1)
 Imports: methods, utils, stats, BiocGenerics, stats4
 Suggests: XVector, GenomicRanges, BSgenome.Celegans.UCSC.ce2, RUnit
 License: Artistic-2.0
@@ -30,7 +29,8 @@
         IRanges-constructor.R IRanges-utils.R DataTable-API.R
         DataTable-stats.R Views-class.R Grouping-class.R
         SimpleList-class.R CompressedList-class.R Rle-class.R
-        RleViews-class.R RleViews-utils.R AtomicList-impl.R
+        RleViews-class.R RleViews-utils.R extractList.R seqapply.R
+        multisplit.R AtomicList-impl.R List-comparison.R
         DataFrame-class.R DataFrame-utils.R DataFrameList-class.R
         DataFrameList-utils.R RangesList-class.R GappedRanges-class.R
         ViewsList-class.R RleViewsList-class.R RleViewsList-utils.R
@@ -38,11 +38,10 @@
         RDApplyParams-class.R RangedData-utils.R Hits-class.R
         HitsList-class.R RangesMapping-class.R IntervalTree-class.R
         IntervalTree-utils.R IntervalForest-class.R
-        OverlapEncodings-class.R RangedSelection-class.R read.Mask.R
-        funprog-methods.R intra-range-methods.R inter-range-methods.R
-        setops-methods.R findOverlaps-methods.R nearest-methods.R
-        encodeOverlaps-methods.R reverse-methods.R coverage-methods.R
-        slice-methods.R expand-methods.R updateObject-methods.R
-        classNameForDisplay-methods.R test_IRanges_package.R debug.R
-        zzz.R
-Packaged: 2013-10-30 03:23:30 UTC; biocbuild
+        RangedSelection-class.R read.Mask.R funprog-methods.R
+        intra-range-methods.R inter-range-methods.R reverse-methods.R
+        coverage-methods.R slice-methods.R setops-methods.R
+        findOverlaps-methods.R nearest-methods.R expand-methods.R
+        updateObject-methods.R classNameForDisplay-methods.R
+        tile-methods.R test_IRanges_package.R debug.R zzz.R
+Packaged: 2014-05-31 04:50:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (1.22.8-1) unstable; urgency=medium

  * New upstream version
  * Bump versioned (Build-)Depends from r-bioc-biocgenerics to >= 0.9.1

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jun 2014 22:53:05 +0200

r-bioc-iranges (1.20.6-2) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/control: Add missing r-cran-runit and r-bioc-xvector test
    dependencies, and allow stderr output.
    Closes: #735546

  [ Andreas Tille ]
  * Standards-Version: 3.9.5

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2014 13:35:56 +0100

r-bioc-iranges (1.20.6-1) unstable; urgency=low

  * New upstream version
  * debian/README.test: More detailed testing suggested
  * debian/tests: Add unit test

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2013 11:26:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+XS-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.7.7)
-Standards-Version: 3.9.4
+               r-bioc-biocgenerics (>= 0.9.1)
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/IRanges.html
@@ -17,7 +18,7 @@
 Depends: ${R:Depends},
           ${shlibs:Depends},
          ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.7.7)
+         r-bioc-biocgenerics (>= 0.9.1)
 Description: GNU R low-level containers for storing sets of integer ranges
  The IRanges class and its extensions are low-level containers for
  storing sets of integer ranges. A typical use of these containers in

## r-bioc-iranges 1.22.10

=== DESCRIPTION ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	collections of instances of the basic classes. All classes in
 	the package use consistent naming and share the same rich and
 	consistent "Vector API" as much as possible.
-Version: 1.22.8
+Version: 1.22.10
 Author: H. Pages, P. Aboyoun and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
@@ -44,4 +44,4 @@
         findOverlaps-methods.R nearest-methods.R expand-methods.R
         updateObject-methods.R classNameForDisplay-methods.R
         tile-methods.R test_IRanges_package.R debug.R zzz.R
-Packaged: 2014-05-31 04:50:35 UTC; biocbuild
+Packaged: 2014-07-29 01:29:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (1.22.10-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 08 Aug 2014 15:02:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,

## r-bioc-iranges 2.2.5

=== DESCRIPTION ===
Package: IRanges
Title: Infrastructure for manipulating intervals on sequences
Description: The package provides efficient low-level and highly reusable S4
	classes for storing ranges of integers, RLE vectors (Run-Length
	Encoding), and, more generally, data that can be organized
	sequentially (formally defined as Vector objects), as well as views
	on these Vector objects.
	Efficient list-like classes are also provided for storing big
	collections of instances of the basic classes. All classes in
	the package use consistent naming and share the same rich and
	consistent "Vector API" as much as possible.
Version: 2.2.5
Author: H. Pages, P. Aboyoun and M. Lawrence
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.13.6),
        S4Vectors (>= 0.6.1)
Imports: stats4
LinkingTo: S4Vectors
Suggests: XVector, GenomicRanges, BSgenome.Celegans.UCSC.ce2, RUnit
License: Artistic-2.0
ExtraLicenses: The following files in the 'src' directory are licensed
        for all use by Jim Kent, in a manner compatible with the
        Artistic 2.0 license: common.c/h, memalloc.c/h, localmem.c/h,
        hash.c/h, errabort.c/h, rbTree.c/h, dlist.c/h, errCatch.h
Collate: Vector-class-leftovers.R Hits-class-leftovers.R
        List-class-leftovers.R List-comparison.R AtomicList-class.R
        Ranges-class.R Ranges-comparison.R IRanges-class.R
        IRanges-constructor.R IRanges-utils.R Views-class.R
        Grouping-class.R CompressedList-class.R Rle-class-leftovers.R
        RleViews-class.R RleViews-utils.R extractList.R seqapply.R
        multisplit.R AtomicList-impl.R DataFrame-utils.R
        DataFrameList-class.R DataFrameList-utils.R RangesList-class.R
        GappedRanges-class.R ViewsList-class.R RleViewsList-class.R
        RleViewsList-utils.R MaskCollection-class.R RangedData-class.R
        FilterRules-class.R RDApplyParams-class.R RangedData-utils.R
        HitsList-class.R NCList-class.R IntervalTree-class.R
        IntervalTree-utils.R IntervalForest-class.R
        RangedSelection-class.R read.Mask.R intra-range-methods.R
        inter-range-methods.R reverse-methods.R coverage-methods.R
        slice-methods.R setops-methods.R findOverlaps-methods.R
        nearest-methods.R expand-methods.R updateObject-methods.R
        tile-methods.R mapCoords-methods.R subsetting-internals.R
        test_IRanges_package.R debug.R zzz.R
NeedsCompilation: yes
Packaged: 2015-06-28 01:27:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.2.5-1) unstable; urgency=medium

  * New upstream version
  * Requires S4Vectors (>= 0.6.1)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2015 23:08:17 +0200

r-bioc-iranges (2.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 09 May 2015 17:15:04 +0200

r-bioc-iranges (2.0.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * New (Build-)Depends: r-bioc-s4vectors

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2014 16:03:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.9.1)
-Standards-Version: 3.9.5
+               r-bioc-biocgenerics,
+               r-bioc-s4vectors (>= 0.6.1)
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/IRanges.html
@@ -16,9 +17,10 @@
 Package: r-bioc-iranges
 Architecture: any
 Depends: ${R:Depends},
-          ${shlibs:Depends},
+         ${shlibs:Depends},
          ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.9.1)
+         r-bioc-biocgenerics,
+         r-bioc-s4vectors
 Description: GNU R low-level containers for storing sets of integer ranges
  The IRanges class and its extensions are low-level containers for
  storing sets of integer ranges. A typical use of these containers in

## r-bioc-iranges 2.4.1

=== DESCRIPTION ===
Package: IRanges
Title: Infrastructure for manipulating intervals on sequences
Description: The package provides efficient low-level and highly reusable S4
	classes for storing ranges of integers, RLE vectors (Run-Length
	Encoding), and, more generally, data that can be organized
	sequentially (formally defined as Vector objects), as well as views
	on these Vector objects.
	Efficient list-like classes are also provided for storing big
	collections of instances of the basic classes. All classes in
	the package use consistent naming and share the same rich and
	consistent "Vector API" as much as possible.
Version: 2.4.1
Author: H. Pages, P. Aboyoun and M. Lawrence
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>=
        0.15.10), S4Vectors (>= 0.7.19)
Imports: stats4
LinkingTo: S4Vectors
Suggests: XVector, GenomicRanges, BSgenome.Celegans.UCSC.ce2, RUnit
License: Artistic-2.0
Collate: Vector-class-leftovers.R Hits-class-leftovers.R
        List-class-leftovers.R List-comparison.R AtomicList-class.R
        Ranges-class.R Ranges-comparison.R IRanges-class.R
        IRanges-constructor.R IRanges-utils.R Views-class.R
        Grouping-class.R CompressedList-class.R Rle-class-leftovers.R
        RleViews-class.R RleViews-utils.R extractList.R seqapply.R
        multisplit.R AtomicList-impl.R DataFrame-utils.R
        DataFrameList-class.R DataFrameList-utils.R RangesList-class.R
        GappedRanges-class.R ViewsList-class.R RleViewsList-class.R
        RleViewsList-utils.R MaskCollection-class.R RangedData-class.R
        RDApplyParams-class.R RangedData-utils.R HitsList-class.R
        NCList-class.R IntervalTree-class.R IntervalTree-utils.R
        IntervalForest-class.R RangedSelection-class.R read.Mask.R
        intra-range-methods.R inter-range-methods.R reverse-methods.R
        coverage-methods.R slice-methods.R setops-methods.R
        findOverlaps-methods.R nearest-methods.R cbind-Rle-methods.R
        expand-methods.R updateObject-methods.R tile-methods.R
        mapCoords-methods.R subsetting-internals.R
        test_IRanges_package.R debug.R zzz.R
NeedsCompilation: yes
Packaged: 2015-10-22 00:27:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.4.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 18:32:22 +0100

r-bioc-iranges (2.2.7-1) unstable; urgency=medium

  * New upstream version
  * Fixed watch file
  * versioned Depends on r-bioc-s4vectors

 -- Andreas Tille <tille@debian.org>  Thu, 24 Sep 2015 21:28:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
-               r-bioc-biocgenerics,
-               r-bioc-s4vectors (>= 0.6.1)
+               r-bioc-biocgenerics (>= 0.16.0),
+               r-bioc-s4vectors (>= 0.8.0)
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
@@ -20,7 +20,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          r-bioc-biocgenerics,
-         r-bioc-s4vectors
+         r-bioc-s4vectors (>= 0.6.6)
 Description: GNU R low-level containers for storing sets of integer ranges
  The IRanges class and its extensions are low-level containers for
  storing sets of integer ranges. A typical use of these containers in

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/IRanges.html .*/IRanges_([\d\.]+)\.tar\.gz

## r-bioc-iranges 2.6.1

=== DESCRIPTION ===
Package: IRanges
Title: Infrastructure for manipulating intervals on sequences
Description: The package provides efficient low-level and highly reusable S4
	classes for storing ranges of integers, RLE vectors (Run-Length
	Encoding), and, more generally, data that can be organized
	sequentially (formally defined as Vector objects), as well as views
	on these Vector objects.
	Efficient list-like classes are also provided for storing big
	collections of instances of the basic classes. All classes in
	the package use consistent naming and share the same rich and
	consistent "Vector API" as much as possible.
Version: 2.6.1
Encoding: UTF-8
Author: H. Pagès, P. Aboyoun and M. Lawrence
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>=
        0.15.10), S4Vectors (>= 0.9.48)
Imports: stats4
LinkingTo: S4Vectors
Suggests: XVector, GenomicRanges, GenomicFeatures, GenomicAlignments,
        BSgenome.Celegans.UCSC.ce2, RUnit
License: Artistic-2.0
Collate: Vector-class-leftovers.R List-class-leftovers.R
        AtomicList-class.R Ranges-class.R Ranges-comparison.R
        IRanges-class.R IRanges-constructor.R IRanges-utils.R
        Views-class.R Grouping-class.R CompressedList-class.R
        CompressedList-comparison.R Rle-class-leftovers.R
        RleViews-class.R RleViews-utils.R extractList.R seqapply.R
        multisplit.R AtomicList-impl.R AtomicList-utils.R
        ListGrouping-class.R Hits-class-leftovers.R DataFrame-utils.R
        DataFrameList-class.R DataFrameList-utils.R RangesList-class.R
        GappedRanges-class.R ViewsList-class.R RleViewsList-class.R
        RleViewsList-utils.R MaskCollection-class.R RangedData-class.R
        RDApplyParams-class.R RangedData-utils.R
        CompressedHitsList-class.R NCList-class.R
        RangedSelection-class.R read.Mask.R findOverlaps-methods.R
        intra-range-methods.R inter-range-methods.R reverse-methods.R
        coverage-methods.R slice-methods.R setops-methods.R
        nearest-methods.R cbind-Rle-methods.R tile-methods.R
        subsetting-internals.R zzz.R
NeedsCompilation: yes
Packaged: 2016-06-19 01:29:43 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.6.1-1) unstable; urgency=medium

  * New upstream version
  * Versioned (Build-)Depends r-bioc-s4vectors

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 10:05:51 +0200

r-bioc-iranges (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 15:16:51 +0200

r-bioc-iranges (2.4.7-1) unstable; urgency=medium

  * New upstream version
  * Fix versioned depends
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 22 Feb 2016 09:22:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                cdbs,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.16.0),
-               r-bioc-s4vectors (>= 0.8.0)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
+               r-bioc-s4vectors (>= 0.10.0)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/IRanges.html
 
@@ -19,8 +19,8 @@
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         r-bioc-biocgenerics,
-         r-bioc-s4vectors (>= 0.6.6)
+         r-bioc-biocgenerics (>= 0.16.0),
+         r-bioc-s4vectors (>= 0.10.0)
 Description: GNU R low-level containers for storing sets of integer ranges
  The IRanges class and its extensions are low-level containers for
  storing sets of integer ranges. A typical use of these containers in

## r-bioc-iranges 2.8.1

=== DESCRIPTION ===
Package: IRanges
Title: Infrastructure for manipulating intervals on sequences
Description: Provides efficient low-level and highly reusable S4
	     classes for storing, manipulating and aggregating over annotated
             ranges of integers. Implements an algebra of range operations,
             including efficient algorithms for finding
             overlaps and nearest neighbors. Defines efficient
             list-like classes for storing, transforming and aggregating
             large grouped data, i.e., collections of atomic vectors and
             DataFrames.
Version: 2.8.1
Encoding: UTF-8
Author: H. Pagès, P. Aboyoun and M. Lawrence
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.19.1),
        S4Vectors (>= 0.11.19)
Imports: stats4
LinkingTo: S4Vectors
Suggests: XVector, GenomicRanges, GenomicFeatures, GenomicAlignments,
        BSgenome.Celegans.UCSC.ce2, RUnit
License: Artistic-2.0
Collate: Vector-class-leftovers.R List-class-leftovers.R
        AtomicList-class.R Ranges-class.R subsetting-utils.R
        Ranges-comparison.R IRanges-class.R IRanges-constructor.R
        IRanges-utils.R Grouping-class.R CompressedList-class.R
        CompressedList-comparison.R Views-class.R Rle-class-leftovers.R
        RleViews-class.R RleViews-utils.R extractList.R seqapply.R
        multisplit.R AtomicList-impl.R AtomicList-utils.R
        ListGrouping-class.R Hits-class-leftovers.R DataFrame-utils.R
        DataFrameList-class.R DataFrameList-utils.R RangesList-class.R
        GappedRanges-class.R ViewsList-class.R RleViewsList-class.R
        RleViewsList-utils.R MaskCollection-class.R RangedData-class.R
        RDApplyParams-class.R RangedData-utils.R
        CompressedHitsList-class.R NCList-class.R
        RangedSelection-class.R read.Mask.R findOverlaps-methods.R
        intra-range-methods.R inter-range-methods.R reverse-methods.R
        coverage-methods.R slice-methods.R setops-methods.R
        nearest-methods.R cbind-Rle-methods.R tile-methods.R
        bind-arrays.R zzz.R
NeedsCompilation: yes
Packaged: 2016-11-07 23:13:48 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.8.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 18:55:04 +0100

r-bioc-iranges (2.8.0-1) unstable; urgency=medium

  * New upstream version (bump versioned Build-Depends)
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 11:34:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
 Section: gnu-r
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.16.0),
-               r-bioc-s4vectors (>= 0.10.0)
+               r-bioc-biocgenerics (>= 0.19.1),
+               r-bioc-s4vectors (>= 0.11.19)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
-Homepage: http://bioconductor.org/packages/release/bioc/html/IRanges.html
+Homepage: https://bioconductor.org/packages/IRanges/
 
 Package: r-bioc-iranges
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.16.0),
-         r-bioc-s4vectors (>= 0.10.0)
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R low-level containers for storing sets of integer ranges
  The IRanges class and its extensions are low-level containers for
  storing sets of integer ranges. A typical use of these containers in

## r-bioc-iranges 2.10.5

=== DESCRIPTION ===
--- 
+++ 
@@ -8,13 +8,13 @@
              list-like classes for storing, transforming and aggregating
              large grouped data, i.e., collections of atomic vectors and
              DataFrames.
-Version: 2.8.1
+Version: 2.10.5
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
-Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.19.1),
-        S4Vectors (>= 0.11.19)
+Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.21.1),
+        S4Vectors (>= 0.13.17)
 Imports: stats4
 LinkingTo: S4Vectors
 Suggests: XVector, GenomicRanges, GenomicFeatures, GenomicAlignments,
@@ -29,9 +29,8 @@
         multisplit.R AtomicList-impl.R AtomicList-utils.R
         ListGrouping-class.R Hits-class-leftovers.R DataFrame-utils.R
         DataFrameList-class.R DataFrameList-utils.R RangesList-class.R
-        GappedRanges-class.R ViewsList-class.R RleViewsList-class.R
-        RleViewsList-utils.R MaskCollection-class.R RangedData-class.R
-        RDApplyParams-class.R RangedData-utils.R
+        ViewsList-class.R RleViewsList-class.R RleViewsList-utils.R
+        MaskCollection-class.R RangedData-class.R RangedData-utils.R
         CompressedHitsList-class.R NCList-class.R
         RangedSelection-class.R read.Mask.R findOverlaps-methods.R
         intra-range-methods.R inter-range-methods.R reverse-methods.R
@@ -39,4 +38,4 @@
         nearest-methods.R cbind-Rle-methods.R tile-methods.R
         bind-arrays.R zzz.R
 NeedsCompilation: yes
-Packaged: 2016-11-07 23:13:48 UTC; biocbuild
+Packaged: 2017-10-07 22:27:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.10.5-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Build-Depends: r-bioc-biocgenerics (>= 0.22.1)
  * Remove  unnecessary testsuite autopkgtest-header

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 16:17:33 +0200

r-bioc-iranges (2.10.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 14:35:55 +0200

r-bioc-iranges (2.10.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Bump versioned Build-Depends: r-bioc-s4vectors (>= 0.14.0)

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 May 2017 16:11:27 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.19.1),
-               r-bioc-s4vectors (>= 0.11.19)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-iranges/trunk/
+               r-bioc-biocgenerics (>= 0.22.1),
+               r-bioc-s4vectors (>= 0.14.0)
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-iranges.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/
 
 Package: r-bioc-iranges

## r-bioc-iranges 2.12.0

=== DESCRIPTION ===
--- 
+++ 
@@ -8,22 +8,24 @@
              list-like classes for storing, transforming and aggregating
              large grouped data, i.e., collections of atomic vectors and
              DataFrames.
-Version: 2.10.5
+Version: 2.12.0
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
-Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.21.1),
-        S4Vectors (>= 0.13.17)
+Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.23.3),
+        S4Vectors (>= 0.15.5)
 Imports: stats4
 LinkingTo: S4Vectors
-Suggests: XVector, GenomicRanges, GenomicFeatures, GenomicAlignments,
-        BSgenome.Celegans.UCSC.ce2, RUnit
+Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
+        GenomicFeatures, BSgenome.Celegans.UCSC.ce2, pasillaBamSubset,
+        RUnit
 License: Artistic-2.0
-Collate: Vector-class-leftovers.R List-class-leftovers.R
-        AtomicList-class.R Ranges-class.R subsetting-utils.R
-        Ranges-comparison.R IRanges-class.R IRanges-constructor.R
-        IRanges-utils.R Grouping-class.R CompressedList-class.R
+Collate: range-squeezers.R Vector-class-leftovers.R
+        List-class-leftovers.R AtomicList-class.R Ranges-class.R
+        subsetting-utils.R Ranges-comparison.R IRanges-class.R
+        IRanges-constructor.R IRanges-utils.R IPos-class.R
+        Grouping-class.R CompressedList-class.R
         CompressedList-comparison.R Views-class.R Rle-class-leftovers.R
         RleViews-class.R RleViews-utils.R extractList.R seqapply.R
         multisplit.R AtomicList-impl.R AtomicList-utils.R
@@ -35,7 +37,6 @@
         RangedSelection-class.R read.Mask.R findOverlaps-methods.R
         intra-range-methods.R inter-range-methods.R reverse-methods.R
         coverage-methods.R slice-methods.R setops-methods.R
-        nearest-methods.R cbind-Rle-methods.R tile-methods.R
-        bind-arrays.R zzz.R
+        nearest-methods.R cbind-Rle-methods.R tile-methods.R zzz.R
 NeedsCompilation: yes
-Packaged: 2017-10-07 22:27:32 UTC; biocbuild
+Packaged: 2017-10-30 22:38:39 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.12.0-2) unstable; urgency=medium

  * Do not symlink non-existing doc
    Closes: #855625
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2017 09:46:32 +0100

r-bioc-iranges (2.12.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 10:27:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                r-base-dev,
                r-bioc-biocgenerics (>= 0.22.1),
                r-bioc-s4vectors (>= 0.14.0)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-iranges.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-bioc-xvector
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/IRanges.html .*/IRanges_([\d\.]+)\.tar\.gz

## r-bioc-iranges 2.14.10

=== DESCRIPTION ===
Package: IRanges
Title: Infrastructure for manipulating intervals on sequences
Description: Provides efficient low-level and highly reusable S4
	classes for storing, manipulating and aggregating over annotated
	ranges of integers. Implements an algebra of range operations,
	including efficient algorithms for finding overlaps and nearest
	neighbors. Defines efficient list-like classes for storing,
	transforming and aggregating large grouped data, i.e., collections
	of atomic vectors and DataFrames.
Version: 2.14.10
Encoding: UTF-8
Author: H. Pagès, P. Aboyoun and M. Lawrence
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
biocViews: Infrastructure, DataRepresentation
Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.25.3),
        S4Vectors (>= 0.18.2)
Imports: stats4
LinkingTo: S4Vectors
Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
        GenomicFeatures, BSgenome.Celegans.UCSC.ce2, pasillaBamSubset,
        RUnit, BiocStyle
License: Artistic-2.0
Collate: range-squeezers.R Vector-class-leftovers.R
        List-class-leftovers.R DataFrame-utils.R DataFrameList-class.R
        DataFrameList-utils.R AtomicList-class.R AtomicList-utils.R
        Ranges-and-RangesList-classes.R IPosRanges-class.R
        IPosRanges-comparison.R IntegerRangesList-class.R
        IRanges-class.R IRanges-constructor.R IRanges-utils.R
        Rle-class-leftovers.R IPos-class.R subsetting-utils.R
        Grouping-class.R Views-class.R RleViews-class.R
        RleViews-utils.R extractList.R seqapply.R multisplit.R
        SimpleGrouping-class.R IRangesList-class.R IPosList-class.R
        ViewsList-class.R RleViewsList-class.R RleViewsList-utils.R
        RangedSelection-class.R MaskCollection-class.R read.Mask.R
        CompressedList-class.R CompressedList-comparison.R
        CompressedHitsList-class.R CompressedDataFrameList-class.R
        CompressedAtomicList-class.R CompressedGrouping-class.R
        CompressedRangesList-class.R RangedData-class.R
        RangedData-utils.R Hits-class-leftovers.R NCList-class.R
        findOverlaps-methods.R windows-methods.R intra-range-methods.R
        inter-range-methods.R reverse-methods.R coverage-methods.R
        cvg-methods.R slice-methods.R setops-methods.R
        nearest-methods.R cbind-Rle-methods.R tile-methods.R
        extractListFragments.R zzz.R
NeedsCompilation: yes
Packaged: 2018-05-15 22:47:36 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.14.10-2) unstable; urgency=medium

  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jul 2018 16:28:25 +0200

r-bioc-iranges (2.14.10-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 09:01:44 +0200

r-bioc-iranges (2.14.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 08:43:08 +0200

r-bioc-iranges (2.14.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 12 May 2018 15:10:02 +0200

r-bioc-iranges (2.14.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 07 May 2018 08:06:34 +0200

r-bioc-iranges (2.14.1-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:34:52 +0200

r-bioc-iranges (2.14.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 08:53:13 +0200

r-bioc-iranges (2.14.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 02 May 2018 16:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: r-bioc-iranges
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.22.1),
-               r-bioc-s4vectors (>= 0.14.0)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-iranges.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-iranges.git
+               r-bioc-biocgenerics (>= 0.25.3),
+               r-bioc-s4vectors (>= 0.18.2)
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/
 
 Package: r-bioc-iranges

## r-bioc-iranges 2.16.0

=== DESCRIPTION ===
--- 
+++ 
@@ -7,13 +7,13 @@
 	neighbors. Defines efficient list-like classes for storing,
 	transforming and aggregating large grouped data, i.e., collections
 	of atomic vectors and DataFrames.
-Version: 2.14.10
+Version: 2.16.0
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.25.3),
-        S4Vectors (>= 0.18.2)
+        S4Vectors (>= 0.19.11)
 Imports: stats4
 LinkingTo: S4Vectors
 Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
@@ -42,5 +42,10 @@
         cvg-methods.R slice-methods.R setops-methods.R
         nearest-methods.R cbind-Rle-methods.R tile-methods.R
         extractListFragments.R zzz.R
+git_url: https://git.bioconductor.org/packages/IRanges
+git_branch: RELEASE_3_8
+git_last_commit: 26834c6
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: yes
-Packaged: 2018-05-15 22:47:36 UTC; biocbuild
+Packaged: 2018-10-30 22:48:17 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Thu, 08 Nov 2018 07:50:24 +0100

r-bioc-iranges (2.14.12-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 25 Sep 2018 11:04:06 +0200

r-bioc-iranges (2.14.11-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2018 16:54:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.25.3),
-               r-bioc-s4vectors (>= 0.18.2)
-Standards-Version: 4.1.5
+               r-bioc-s4vectors (>= 0.19.11)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/IRanges.html .*/IRanges_([\d\.]+)\.tar\.gz

## r-bioc-iranges 2.18.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: IRanges
-Title: Infrastructure for manipulating intervals on sequences
+Title: Foundation of integer range manipulation in Bioconductor
 Description: Provides efficient low-level and highly reusable S4
 	classes for storing, manipulating and aggregating over annotated
 	ranges of integers. Implements an algebra of range operations,
@@ -7,13 +7,13 @@
 	neighbors. Defines efficient list-like classes for storing,
 	transforming and aggregating large grouped data, i.e., collections
 	of atomic vectors and DataFrames.
-Version: 2.16.0
+Version: 2.18.1
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.25.3),
-        S4Vectors (>= 0.19.11)
+        S4Vectors (>= 0.21.9)
 Imports: stats4
 LinkingTo: S4Vectors
 Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
@@ -43,9 +43,9 @@
         nearest-methods.R cbind-Rle-methods.R tile-methods.R
         extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_8
-git_last_commit: 26834c6
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: b1cab4e
+git_last_commit_date: 2019-05-30
+Date/Publication: 2019-05-31
 NeedsCompilation: yes
-Packaged: 2018-10-30 22:48:17 UTC; biocbuild
+Packaged: 2019-05-31 23:14:26 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.18.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 14:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.25.3),
-               r-bioc-s4vectors (>= 0.19.11)
-Standards-Version: 4.2.1
+               r-bioc-s4vectors (>= 0.21.9)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/

## r-bioc-iranges 2.20.2

=== DESCRIPTION ===
--- 
+++ 
@@ -7,13 +7,13 @@
 	neighbors. Defines efficient list-like classes for storing,
 	transforming and aggregating large grouped data, i.e., collections
 	of atomic vectors and DataFrames.
-Version: 2.18.1
+Version: 2.20.2
 Encoding: UTF-8
 Author: H. Pagès, P. Aboyoun and M. Lawrence
 Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>
 biocViews: Infrastructure, DataRepresentation
 Depends: R (>= 3.1.0), methods, utils, stats, BiocGenerics (>= 0.25.3),
-        S4Vectors (>= 0.21.9)
+        S4Vectors (>= 0.23.22)
 Imports: stats4
 LinkingTo: S4Vectors
 Suggests: XVector, GenomicRanges, Rsamtools, GenomicAlignments,
@@ -36,16 +36,15 @@
         CompressedHitsList-class.R CompressedDataFrameList-class.R
         CompressedAtomicList-class.R CompressedGrouping-class.R
         CompressedRangesList-class.R RangedData-class.R
-        RangedData-utils.R Hits-class-leftovers.R NCList-class.R
-        findOverlaps-methods.R windows-methods.R intra-range-methods.R
-        inter-range-methods.R reverse-methods.R coverage-methods.R
-        cvg-methods.R slice-methods.R setops-methods.R
-        nearest-methods.R cbind-Rle-methods.R tile-methods.R
-        extractListFragments.R zzz.R
+        Hits-class-leftovers.R NCList-class.R findOverlaps-methods.R
+        windows-methods.R intra-range-methods.R inter-range-methods.R
+        reverse-methods.R coverage-methods.R cvg-methods.R
+        slice-methods.R setops-methods.R nearest-methods.R
+        cbind-Rle-methods.R tile-methods.R extractListFragments.R zzz.R
 git_url: https://git.bioconductor.org/packages/IRanges
-git_branch: RELEASE_3_9
-git_last_commit: b1cab4e
-git_last_commit_date: 2019-05-30
-Date/Publication: 2019-05-31
+git_branch: RELEASE_3_10
+git_last_commit: 41ed967
+git_last_commit_date: 2020-01-12
+Date/Publication: 2020-01-13
 NeedsCompilation: yes
-Packaged: 2019-05-31 23:14:26 UTC; biocbuild
+Packaged: 2020-01-14 00:21:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-iranges (2.20.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Jan 2020 07:00:23 +0100

r-bioc-iranges (2.20.1-2) unstable; urgency=medium

  * Team upload

  [ Dylan Aïssi ]
  * Add salsa-ci.yml
  * Update autopkgtests

 -- Charles Plessy <plessy@debian.org>  Fri, 17 Jan 2020 04:14:04 +0900

r-bioc-iranges (2.20.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/copyright: Use spaces rather than tabs in continuation lines.

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Nov 2019 12:20:03 +0100

r-bioc-iranges (2.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 Nov 2019 07:10:03 +0100

r-bioc-iranges (2.18.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 01 Oct 2019 11:20:12 +0200

r-bioc-iranges (2.18.2-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 30 Aug 2019 08:17:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.25.3),
-               r-bioc-s4vectors (>= 0.21.9)
-Standards-Version: 4.3.0
+               r-bioc-s4vectors (>= 0.23.22)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-iranges
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-iranges.git
 Homepage: https://bioconductor.org/packages/IRanges/
